Worker::shift
Worker::stack
Worker
PHP Manual

# Worker::shutdown

Synchronization

### Description

final public boolean Worker::shutdown ( void )

Shuts down the Worker after executing all the Stackables previously stacked

### Parameters

This function has no parameters.

### Return Values

### Examples

Example #1 Shutdown the referenced Worker

`<?php
class My extends Worker {
public function run() {
/* ... */
}
}
$my = new My();
$my->start();
/* ... */
var_dump($my->shutdown());
/* ... */
?>`

The above example will output:

    bool(true)